Page MenuHomePhabricator

Deploy AMC overflow menu to wikis with AMC enabled
Closed, ResolvedPublic1 Story Points

Description

Background

We built the overflow menu in T216418: AMC Navigation - overflow menu. Now, we would like to deploy it to all wikis that currently have AMC enabled

Acceptance criteria

  • Deploy AMC overflow menu to wikis with AMC enabled - eswiki, arwiki, idwiki

QA criteria

  1. For eswiki, arwiki, idwiki with AMC turned on:
  2. ensure overflow menu appears on the following pages:
  3. article pages
  4. user pages
  5. article pages that do not exist
  6. user pages that do not exist
  7. ensure links work on overflow menu
  8. note anything that looks out of place
  9. test opening and closing the menu on a couple of devices

QA Results

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable AdvancedMobileContributions Overflow menu

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2019, 9:33 AM
ovasileva triaged this task as High priority.May 20 2019, 9:33 AM
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
ovasileva added a subscriber: pmiazga.EditedMay 20 2019, 9:36 AM

Question (most likely for a separate task). @pmiazga - are we currently able to add the overflow menu links to Schema:MobileWebMainMenuClickTracking or will this require changes to the schema?
@ovasileva to set up a task for this

Yes, we can reuse the schema, but most probably would be nice to rename the schema. Also - question - currently we track the menu element destination. If there are two menu elements (in different menus) that point to the same page we won't be able to track which menu was used.

nray added a comment.May 21 2019, 6:15 PM

Actually, this might not be the best approach. It might be better to just change the MinervaOverflowInPageActions default to be true for amc mode inside skin.json. Currently, it defaults to false for amc

Question (most likely for a separate task). @pmiazga - are we currently able to add the overflow menu links to Schema:MobileWebMainMenuClickTracking or will this require changes to the schema?
@ovasileva to set up a task for this

captured in T220016: Create, and deploy working MobileWebUIActionsTracking schema

pmiazga claimed this task.May 29 2019, 10:32 AM

Change 509130 had a related patch set uploaded (by Pmiazga; owner: Nray):
[operations/mediawiki-config@master] Enable AdvancedMobileContributions Overflow menu

https://gerrit.wikimedia.org/r/509130

Change 509130 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable AdvancedMobileContributions Overflow menu

https://gerrit.wikimedia.org/r/509130

Mentioned in SAL (#wikimedia-operations) [2019-05-29T11:30:33Z] <pmiazga@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:509130 Enable Advanced Mobile Contributions Overflow menu (T223883)]] (duration: 00m 57s)

pmiazga removed pmiazga as the assignee of this task.May 29 2019, 11:32 AM
pmiazga assigned this task to ovasileva.
ovasileva reassigned this task from ovasileva to Edtadros.May 29 2019, 5:18 PM
ovasileva updated the task description. (Show Details)
ovasileva updated the task description. (Show Details)May 29 2019, 5:24 PM
Edtadros reassigned this task from Edtadros to ovasileva.May 31 2019, 3:12 AM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: iPhone XR (browserstack), Galaxy S9 (browserstack)

Test Artifact(s):

QA criteria

For eswiki, arwiki, idwiki with AMC turned on ensure overflow menu appears on the following pages:

✅ AC1: article pages

eswikiarwikiidwiki

✅ AC2: user pages

eswikiarwikiidwiki

✅ AC3: article pages that do not exist

eswikiarwikiidwiki

✅ AC4: user pages that do not exist

eswikiarwikiidwiki

✅ AC5: ensure links work on overflow menu

eswikiarwikiidwiki
All links above work.All links above work.All links above work.

✅ AC6: note anything that looks out of place

eswikiarwikiidwiki
Nothing out of place.Nothing out of place.Nothing out of place.

✅ AC7: test opening and closing the menu on a couple of devices

eswikiarwikiidwiki
iPhone XRiPhone XRiPhone XR
Galaxy S9Galaxy S9Galaxy S9
ovasileva closed this task as Resolved.Jun 3 2019, 10:28 AM

Looks great, thanks @Edtadros